For the complete documentation index, see llms.txt. This page is also available as Markdown.

Modify Merchant Order Config

Modifies the merchants order configuration based on a given merchant_id.

You must be connected to a merchant to modify their configuration.

Available Order Configurations

Custom Tags - custom_tags This configuration allows you to provide a set of tags that will be included with any orders submitted for this merchant.

Update Merchants Orders Configuration

put
Path parameters
merchant_idinteger · int32Required
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Body

Configurations for the merchants order behaviors.

commerce_disabledbooleanOptional

Is order creation, or cart submission, disabled for this merchant.

Default: false
custom_tagsstring[]Optional

Custom tags to be added to a merchants orders upon submission.

prohibit_order_cancellationsbooleanOptional

Does this merchants prohibit order cancellations.

Default: false
prohibit_order_refundsbooleanOptional

Does this merchants prohibit order refunds.

Default: false
force_push_ordersbooleanOptional

When true the orders will be force pushed to the commerce platform even if the items are out of stock.

Default: false
order_prefixstringOptional

When supported by the commerce platform, this prefix will be used for orders.

Default: null
order_currency_overridestring · enum · nullableOptional

ISO 4217 currency code (e.g., EUR, GBP) to force on all orders created via Direct Order Submission. When set, orders are written to the commerce platform in this currency regardless of the shop's default currency, with automatic exchange rate conversion applied. When null, orders use the shop's default currency (standard behavior).

Possible values:
Responses
default

default response

application/json

A Container for Merchant Configuration info

lockedbooleanOptional

When true, prevents any changes from being made to the merchant configuration.

put/merchants/{merchant_id}/configuration/orders_config
PUT /v1/merchants/{merchant_id}/configuration/orders_config HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Content-Type: application/json
Accept: */*
Content-Length: 31

{
  "custom_tags": [
    "tag1",
    "tag2"
  ]
}
default

default response

{
  "global_feature_flags": {
    "sync_metadata": false,
    "sync_collections": true
  },
  "platform_feature_flags": {
    "filter_by_collections": false,
    "use_custom_shipping_rates": true
  },
  "orders_config": {
    "custom_tags": [
      "tag1",
      "tag2"
    ]
  }
}

Last updated

Was this helpful?